#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "funcs.h"

void classCreator(cs_class_t *class, char line[]) {

    char *token;

    //Gets token from line
    token =  strtok(line, ",");
    //Creates new space that is the length of the token
    class -> id = malloc(sizeof(char) * strlen(token));
    //Copies token to that space
    strcpy(class -> id, token);

    token =  strtok(NULL, ",");
    class -> title = malloc(sizeof(char) * strlen(token));
    strcpy(class -> title, token);

    //Unused values
    strtok(NULL, ",");
    strtok(NULL, ",");
    strtok(NULL, ",");

    token =  strtok(NULL, ",");
    class -> seats = malloc(sizeof(char) * strlen(token));
    strcpy(class -> seats, token);

    token =  strtok(NULL, ",");
    class -> professor = malloc(sizeof(char) * strlen(token));
    strcpy(class -> professor, token);

    token =  strtok(NULL, " ");
    class -> days = malloc(sizeof(char) * strlen(token));
    strcpy(class -> days, token);

    token =  strtok(NULL, "\n");
    class -> time = malloc(sizeof(char) * strlen(token));
    strcpy(class -> time, token);
}

int ReadClasses(cs_class_t classlist[]){

    //Open the file
    FILE* inFile = fopen("/public/pgm2/classes.csv", "r");

    char line[200];

    // Prints error if file not opened
    if( inFile == NULL  ) {
        perror("Error: ");
        return(-1);
  }

    int i = 0;
    while (fgets(line, 200, inFile) != NULL){
        classCreator(&classlist[i++], line);
    }

    fclose(inFile);
    // returns length of array
    return i;
}
